# Copy A Page

`POST /pages/{pageId}/copy`

Creates a copy of an accessible page in the requested folder. Set `parentId` to `null` to copy it to the Markdawn root. The copy receives a new ID.
## Authentication

Use one of the following authentication alternatives:

- **API token** (`bearerToken`) : Send a named API token in the Authorization header. Send it in the `Authorization: Bearer <token>` header.
- **Better Auth browser session** (`browserSession`) : Use the Better Auth session cookie from a signed-in browser session. Send it in the `better-auth.session_token` cookie.
## Token permissions

API tokens must include `pages:write`.
## Parameters

- `pageId` (path, required): The UUID of the page.
## Request Body

Required.

### `application/json`

```json
{
  "parentId": null
}
```
## Responses

### 201

The ID of the copied page.


### `application/json`

```json
{
  "id": "00000000-0000-0000-0000-000000000000"
}
```

### 403

The API token is missing a required scope: pages:write.


### `application/json`

```json
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
```
